Opened 13 years ago

Last modified 7 years ago

#434 closed defect (Fixed)

bw history does not recover from bad clock

Reported by: weasel Owned by:
Priority: Low Milestone:
Component: Core Tor/Tor Version: 0.1.2.13
Severity: Keywords:
Cc: weasel, nickm Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

consider the case of the router Chahf1or.

On 2007-03-30 13:33:56 all was well. It uploaded a descriptor that was ok:
| platform Tor 0.1.1.26 on Linux i686
| published 2007-03-30 14:35:13
| opt write-history 2007-03-30 14:34:34 (900 s) 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,135784,1677901,5858264,19367946,8275640,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,90167,23801,4620560
| opt read-history 2007-03-30 14:34:34 (900 s) 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2754204,630370,679589,4017341,2312131,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3186242,555644,677757

then its clock went bad and it tried to upload a few descriptors, from 2009-06-02 14:11:04, 2009-06-03 14:11:01, and 2035-08-28 14:13:14.

Ever since its bandwidth history is broken:
| platform Tor 0.1.1.26 on Linux i686
| published 2007-03-30 14:40:21
| opt write-history 2035-08-28 14:04:34 (900 s) 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
| opt read-history 2009-06-03 14:04:34 (900 s) 1396,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

or

| platform Tor 0.1.2.13 on Linux i686
| published 2007-05-24 13:48:58
| opt write-history 2035-08-28 14:04:34 (900 s) 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
| opt read-history 2009-06-03 14:04:34 (900 s) 1024,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0

Tor should probably try to recover from broken accounting info like that.

[Automatically added by flyspray2trac: Operating System: All]

Child Tickets

Change History (3)

comment:1 Changed 12 years ago by nickm

Fixed in 11166, I believe. The problem occurred in a few other places too, sometimes with more serious consequences.

comment:2 Changed 12 years ago by nickm

flyspray2trac: bug closed.

comment:3 Changed 7 years ago by nickm

Component: Tor RelayTor
Note: See TracTickets for help on using tickets.